org.eclipse.lyo.oslc4j.core.model

## Class Service

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.oslc4j.core.model.Service

- All Implemented Interfaces:
    IExtendedResource, IResource

      @OslcNamespace(value="http://open-services.net/ns/core#")
      @OslcResourceShape(title="OSLC Service Resource Shape",
                         describes="http://open-services.net/ns/core#Service")
      public class Service
      extends AbstractResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Service()`
    `Service(URI domain)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCreationDialog(Dialog dialog)`
    `void` | `addCreationFactory(CreationFactory creationFactory)`
    `void` | `addQueryCapability(QueryCapability queryCapability)`
    `void` | `addSelectionDialog(Dialog dialog)`
    `Dialog[]` | `getCreationDialogs()`
    `CreationFactory[]` | `getCreationFactories()`
    `URI` | `getDomain()`
    `QueryCapability[]` | `getQueryCapabilities()`
    `Dialog[]` | `getSelectionDialogs()`
    `URI[]` | `getUsages()`
    `void` | `setCreationDialogs(Dialog[] creationDialogs)`
    `void` | `setCreationFactories(CreationFactory[] creationFactories)`
    `void` | `setDomain(URI domain)`
    `void` | `setQueryCapabilities(QueryCapability[] queryCapabilities)`
    `void` | `setSelectionDialogs(Dialog[] selectionDialogs)`
    `void` | `setUsages(URI[] usages)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Service

          public Service()

    - #### Service

          public Service(URI domain)

  - ### Method Detail

    - #### addCreationDialog

          public void addCreationDialog(Dialog dialog)

    - #### addCreationFactory

          public void addCreationFactory(CreationFactory creationFactory)

    - #### addQueryCapability

          public void addQueryCapability(QueryCapability queryCapability)

    - #### addSelectionDialog

          public void addSelectionDialog(Dialog dialog)

    - #### getCreationDialogs

          @OslcDescription(value="Enables clients to create a resource via UI")
          @OslcName(value="creationDialog")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#creationDialog")
          @OslcRange(value="http://open-services.net/ns/core#Dialog")
          @OslcReadOnly
          @OslcRepresentation(value=Inline)
          @OslcTitle(value="Creation Dialogs")
          @OslcValueShape(value="resourceShapes/dialog")
          @OslcValueType(value=LocalResource)
          public Dialog[] getCreationDialogs()

    - #### getCreationFactories

          @OslcDescription(value="Enables clients to create new resources")
          @OslcName(value="creationFactory")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#creationFactory")
          @OslcRange(value="http://open-services.net/ns/core#CreationFactory")
          @OslcReadOnly
          @OslcRepresentation(value=Inline)
          @OslcTitle(value="Creation Factories")
          @OslcValueShape(value="resourceShapes/creationFactory")
          @OslcValueType(value=LocalResource)
          public CreationFactory[] getCreationFactories()

    - #### getDomain

          @OslcDescription(value="Namespace URI of the OSLC domain specification that is implemented by this service")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#domain")
          @OslcReadOnly
          @OslcTitle(value="Domain")
          public URI getDomain()

    - #### getQueryCapabilities

          @OslcDescription(value="Enables clients query across a collection of resources")
          @OslcName(value="queryCapability")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#queryCapability")
          @OslcRange(value="http://open-services.net/ns/core#QueryCapability")
          @OslcReadOnly
          @OslcRepresentation(value=Inline)
          @OslcTitle(value="Query Capabilities")
          @OslcValueShape(value="resourceShapes/queryCapability")
          @OslcValueType(value=LocalResource)
          public QueryCapability[] getQueryCapabilities()

    - #### getSelectionDialogs

          @OslcDescription(value="Enables clients to select a resource via UI")
          @OslcName(value="selectionDialog")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#selectionDialog")
          @OslcRange(value="http://open-services.net/ns/core#Dialog")
          @OslcReadOnly
          @OslcRepresentation(value=Inline)
          @OslcTitle(value="Selection Dialogs")
          @OslcValueShape(value="resourceShapes/dialog")
          @OslcValueType(value=LocalResource)
          public Dialog[] getSelectionDialogs()

    - #### getUsages

          @OslcDescription(value="An identifier URI for the domain specified usage of this service")
          @OslcName(value="usage")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#usage")
          @OslcReadOnly
          @OslcRepresentation(value=Reference)
          @OslcTitle(value="Usages")
          @OslcValueType(value=Resource)
          @OslcOccurs(value=ZeroOrMany)
          public URI[] getUsages()

    - #### setCreationDialogs

          public void setCreationDialogs(Dialog[] creationDialogs)

    - #### setCreationFactories

          public void setCreationFactories(CreationFactory[] creationFactories)

    - #### setDomain

          public void setDomain(URI domain)

    - #### setQueryCapabilities

          public void setQueryCapabilities(QueryCapability[] queryCapabilities)

    - #### setSelectionDialogs

          public void setSelectionDialogs(Dialog[] selectionDialogs)

    - #### setUsages

          public void setUsages(URI[] usages)

Copyright © 2016. All rights reserved.